Subject: Re: linux-next: manual merge of the tty tree with the parisc-hd tree

From: Helge Deller <[email-masked]>
Date: Mon, 30 Aug 2021 10:17:06 +0200

On 8/30/21 9:33 AM, Stephen Rothwell wrote:
> Hi Helge,
>
> On Mon, 30 Aug 2021 09:14:33 +0200 Helge Deller <[email-masked]> wrote:
>>
>> On 8/30/21 7:46 AM, Stephen Rothwell wrote:
>>> Today's linux-next merge of the tty tree got a conflict in:
>>>
>>>     arch/parisc/kernel/pdc_cons.c
>>>
>>> between commit:
>>>
>>>     9613b0cb3eb4 ("tty: pdc_cons, free tty_driver upon failure")
>>>
>>> from the parisc-hd tree and commits:
>>>
>>>     0524513afe45 ("tty: don't store semi-state into tty drivers")
>>>     72fdb403008c ("tty: pdc_cons, free tty_driver upon failure")
>>>
>>> from the tty tree.
>>>
>>> I fixed it up (I just used the latter version) ...
>>
>> The latter version triggers build errors.
>> Jiri's patch needs fixing. Instead of:
>> +               tty_driver_kref_put(driver);
>> it needs to be:
>> +               tty_driver_kref_put(pdc_console_tty_driver);
>>
>> Jiri, maybe you can fix it in your tree?
>> I'm happy to drop the patch from my tree.
>
> The tty tree commits first create a "driver" variable that is used
> until it is clear everything works and then it is assigned to
> pdc_console_tty_driver.

Ah, right. I didn't checked. Looks good and compiles cleanly.
I'll drop the patch from my tree, so everything is OK now.

Helge